tt_malloc(library call)

NAME
tt_malloc — allocate storage on the ToolTalk API allocation stack

SYNOPSIS

#include &<Tt/tt_c.h>
caddr_t tt_malloc(
size_t s);

DESCRIPTION

The tt_malloc function allocates storage on the ToolTalk API allocation stack.

The s argument is the amount of storage to be allocated in bytes.

RETURN VALUE

Upon successful completion, the tt_malloc function returns the address of the storage in the ToolTalk API allocation stack that is to be allocated. If NULL is returned, no storage is available.

APPLICATION USAGE

This function allows the application-provided callback routines to take advantage of the allocation stack; for example, a query filter function can allocate storage to accumulate a result.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_free(3).